<?php
$tdataspare_parts = array();
$tdataspare_parts[".searchableFields"] = array();
$tdataspare_parts[".ShortName"] = "spare_parts";
$tdataspare_parts[".OwnerID"] = "";
$tdataspare_parts[".OriginalTable"] = "spare_parts";


$tdataspare_parts[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdataspare_parts[".originalPagesByType"] = $tdataspare_parts[".pagesByType"];
$tdataspare_parts[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdataspare_parts[".originalPages"] = $tdataspare_parts[".pages"];
$tdataspare_parts[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdataspare_parts[".originalDefaultPages"] = $tdataspare_parts[".defaultPages"];

//	field labels
$fieldLabelsspare_parts = array();
$fieldToolTipsspare_parts = array();
$pageTitlesspare_parts = array();
$placeHoldersspare_parts = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsspare_parts["English"] = array();
	$fieldToolTipsspare_parts["English"] = array();
	$placeHoldersspare_parts["English"] = array();
	$pageTitlesspare_parts["English"] = array();
	$fieldLabelsspare_parts["English"]["ID"] = "ID";
	$fieldToolTipsspare_parts["English"]["ID"] = "";
	$placeHoldersspare_parts["English"]["ID"] = "";
	$fieldLabelsspare_parts["English"]["NAME"] = "NAME";
	$fieldToolTipsspare_parts["English"]["NAME"] = "";
	$placeHoldersspare_parts["English"]["NAME"] = "";
	$fieldLabelsspare_parts["English"]["DESCRIPTION"] = "DESCRIPTION";
	$fieldToolTipsspare_parts["English"]["DESCRIPTION"] = "";
	$placeHoldersspare_parts["English"]["DESCRIPTION"] = "";
	$fieldLabelsspare_parts["English"]["PRICE"] = "PRICE (\$)";
	$fieldToolTipsspare_parts["English"]["PRICE"] = "";
	$placeHoldersspare_parts["English"]["PRICE"] = "";
	$fieldLabelsspare_parts["English"]["ORDER_NBR"] = "ORDER NBR";
	$fieldToolTipsspare_parts["English"]["ORDER_NBR"] = "";
	$placeHoldersspare_parts["English"]["ORDER_NBR"] = "";
	if (count($fieldToolTipsspare_parts["English"]))
		$tdataspare_parts[".isUseToolTips"] = true;
}


	$tdataspare_parts[".NCSearch"] = true;



$tdataspare_parts[".shortTableName"] = "spare_parts";
$tdataspare_parts[".nSecOptions"] = 0;

$tdataspare_parts[".mainTableOwnerID"] = "";
$tdataspare_parts[".entityType"] = 0;
$tdataspare_parts[".connId"] = "acmc_db_at_localhost";


$tdataspare_parts[".strOriginalTableName"] = "spare_parts";

	



$tdataspare_parts[".showAddInPopup"] = false;

$tdataspare_parts[".showEditInPopup"] = false;

$tdataspare_parts[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataspare_parts[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


	$tdataspare_parts[".listAjax"] = true;
//	temporary
$tdataspare_parts[".listAjax"] = false;

	$tdataspare_parts[".audit"] = false;

	$tdataspare_parts[".locking"] = false;


$pages = $tdataspare_parts[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataspare_parts[".edit"] = true;
	$tdataspare_parts[".afterEditAction"] = 1;
	$tdataspare_parts[".closePopupAfterEdit"] = 1;
	$tdataspare_parts[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataspare_parts[".add"] = true;
$tdataspare_parts[".afterAddAction"] = 1;
$tdataspare_parts[".closePopupAfterAdd"] = 1;
$tdataspare_parts[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataspare_parts[".list"] = true;
}



$tdataspare_parts[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataspare_parts[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataspare_parts[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataspare_parts[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataspare_parts[".printFriendly"] = true;
}



$tdataspare_parts[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataspare_parts[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataspare_parts[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataspare_parts[".isUseAjaxSuggest"] = true;

$tdataspare_parts[".rowHighlite"] = true;



												

$tdataspare_parts[".ajaxCodeSnippetAdded"] = false;

$tdataspare_parts[".buttonsAdded"] = false;

$tdataspare_parts[".addPageEvents"] = false;

// use timepicker for search panel
$tdataspare_parts[".isUseTimeForSearch"] = false;


$tdataspare_parts[".badgeColor"] = "DAA520";


$tdataspare_parts[".allSearchFields"] = array();
$tdataspare_parts[".filterFields"] = array();
$tdataspare_parts[".requiredSearchFields"] = array();

$tdataspare_parts[".googleLikeFields"] = array();
$tdataspare_parts[".googleLikeFields"][] = "ID";
$tdataspare_parts[".googleLikeFields"][] = "ORDER_NBR";
$tdataspare_parts[".googleLikeFields"][] = "NAME";
$tdataspare_parts[".googleLikeFields"][] = "DESCRIPTION";
$tdataspare_parts[".googleLikeFields"][] = "PRICE";



$tdataspare_parts[".tableType"] = "list";

$tdataspare_parts[".printerPageOrientation"] = 0;
$tdataspare_parts[".nPrinterPageScale"] = 100;

$tdataspare_parts[".nPrinterSplitRecords"] = 40;

$tdataspare_parts[".geocodingEnabled"] = false;










$tdataspare_parts[".pageSize"] = 10;

$tdataspare_parts[".warnLeavingPages"] = true;



$tstrOrderBy = "ORDER BY ORDER_NBR";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataspare_parts[".strOrderBy"] = $tstrOrderBy;

$tdataspare_parts[".orderindexes"] = array();
	$tdataspare_parts[".orderindexes"][] = array(2, (1 ? "ASC" : "DESC"), "ORDER_NBR");



$tdataspare_parts[".sqlHead"] = "SELECT ID,  ORDER_NBR,  NAME,  DESCRIPTION,  PRICE";
$tdataspare_parts[".sqlFrom"] = "FROM spare_parts";
$tdataspare_parts[".sqlWhereExpr"] = "";
$tdataspare_parts[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataspare_parts[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataspare_parts[".arrGroupsPerPage"] = $arrGPP;

$tdataspare_parts[".highlightSearchResults"] = true;

$tableKeysspare_parts = array();
$tableKeysspare_parts[] = "ID";
$tdataspare_parts[".Keys"] = $tableKeysspare_parts;


$tdataspare_parts[".hideMobileList"] = array();




//	ID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "ID";
	$fdata["GoodName"] = "ID";
	$fdata["ownerTable"] = "spare_parts";
	$fdata["Label"] = GetFieldLabel("spare_parts","ID");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "ID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataspare_parts["ID"] = $fdata;
		$tdataspare_parts[".searchableFields"][] = "ID";
//	ORDER_NBR
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "ORDER_NBR";
	$fdata["GoodName"] = "ORDER_NBR";
	$fdata["ownerTable"] = "spare_parts";
	$fdata["Label"] = GetFieldLabel("spare_parts","ORDER_NBR");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "ORDER_NBR";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ORDER_NBR";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataspare_parts["ORDER_NBR"] = $fdata;
		$tdataspare_parts[".searchableFields"][] = "ORDER_NBR";
//	NAME
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "NAME";
	$fdata["GoodName"] = "NAME";
	$fdata["ownerTable"] = "spare_parts";
	$fdata["Label"] = GetFieldLabel("spare_parts","NAME");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "NAME";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "NAME";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "items";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
			$edata["LookupUnique"] = true;

	$edata["LinkField"] = "item_name";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "item_name";

	

	
	$edata["LookupOrderBy"] = "ORDER_NBR";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataspare_parts["NAME"] = $fdata;
		$tdataspare_parts[".searchableFields"][] = "NAME";
//	DESCRIPTION
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "DESCRIPTION";
	$fdata["GoodName"] = "DESCRIPTION";
	$fdata["ownerTable"] = "spare_parts";
	$fdata["Label"] = GetFieldLabel("spare_parts","DESCRIPTION");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "DESCRIPTION";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "DESCRIPTION";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "HTML");

	
	
	
	
	
	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataspare_parts["DESCRIPTION"] = $fdata;
		$tdataspare_parts[".searchableFields"][] = "DESCRIPTION";
//	PRICE
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "PRICE";
	$fdata["GoodName"] = "PRICE";
	$fdata["ownerTable"] = "spare_parts";
	$fdata["Label"] = GetFieldLabel("spare_parts","PRICE");
	$fdata["FieldType"] = 5;

	
	
	
			

		$fdata["strField"] = "PRICE";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "PRICE";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Currency");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataspare_parts["PRICE"] = $fdata;
		$tdataspare_parts[".searchableFields"][] = "PRICE";


$tables_data["spare_parts"]=&$tdataspare_parts;
$field_labels["spare_parts"] = &$fieldLabelsspare_parts;
$fieldToolTips["spare_parts"] = &$fieldToolTipsspare_parts;
$placeHolders["spare_parts"] = &$placeHoldersspare_parts;
$page_titles["spare_parts"] = &$pageTitlesspare_parts;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["spare_parts"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["spare_parts"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_spare_parts()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "ID,  ORDER_NBR,  NAME,  DESCRIPTION,  PRICE";
$proto0["m_strFrom"] = "FROM spare_parts";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "ORDER BY ORDER_NBR";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "ID",
	"m_strTable" => "spare_parts",
	"m_srcTableName" => "spare_parts"
));

$proto6["m_sql"] = "ID";
$proto6["m_srcTableName"] = "spare_parts";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "ORDER_NBR",
	"m_strTable" => "spare_parts",
	"m_srcTableName" => "spare_parts"
));

$proto8["m_sql"] = "ORDER_NBR";
$proto8["m_srcTableName"] = "spare_parts";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "NAME",
	"m_strTable" => "spare_parts",
	"m_srcTableName" => "spare_parts"
));

$proto10["m_sql"] = "NAME";
$proto10["m_srcTableName"] = "spare_parts";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "DESCRIPTION",
	"m_strTable" => "spare_parts",
	"m_srcTableName" => "spare_parts"
));

$proto12["m_sql"] = "DESCRIPTION";
$proto12["m_srcTableName"] = "spare_parts";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "PRICE",
	"m_strTable" => "spare_parts",
	"m_srcTableName" => "spare_parts"
));

$proto14["m_sql"] = "PRICE";
$proto14["m_srcTableName"] = "spare_parts";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto16=array();
$proto16["m_link"] = "SQLL_MAIN";
			$proto17=array();
$proto17["m_strName"] = "spare_parts";
$proto17["m_srcTableName"] = "spare_parts";
$proto17["m_columns"] = array();
$proto17["m_columns"][] = "ID";
$proto17["m_columns"][] = "ORDER_NBR";
$proto17["m_columns"][] = "NAME";
$proto17["m_columns"][] = "DESCRIPTION";
$proto17["m_columns"][] = "PRICE";
$obj = new SQLTable($proto17);

$proto16["m_table"] = $obj;
$proto16["m_sql"] = "spare_parts";
$proto16["m_alias"] = "";
$proto16["m_srcTableName"] = "spare_parts";
$proto18=array();
$proto18["m_sql"] = "";
$proto18["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto18["m_column"]=$obj;
$proto18["m_contained"] = array();
$proto18["m_strCase"] = "";
$proto18["m_havingmode"] = false;
$proto18["m_inBrackets"] = false;
$proto18["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto18);

$proto16["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto16);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
												$proto20=array();
						$obj = new SQLField(array(
	"m_strName" => "ORDER_NBR",
	"m_strTable" => "spare_parts",
	"m_srcTableName" => "spare_parts"
));

$proto20["m_column"]=$obj;
$proto20["m_bAsc"] = 1;
$proto20["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto20);

$proto0["m_orderby"][]=$obj;					
$proto0["m_srcTableName"]="spare_parts";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_spare_parts = createSqlQuery_spare_parts();


	
		;

					

$tdataspare_parts[".sqlquery"] = $queryData_spare_parts;



include_once(getabspath("include/spare_parts_events.php"));
$tableEvents["spare_parts"] = new eventclass_spare_parts;
$tdataspare_parts[".hasEvents"] = true;

?>